--- old/usr/src/lib/libscf/inc/libscf.h	Sun May 28 12:20:31 2017
+++ new/usr/src/lib/libscf/inc/libscf.h	Sun May 28 12:20:31 2017
@@ -21,7 +21,7 @@
 
 /*
  * Copyright (c) 2004, 2010, Oracle and/or its affiliates. All rights reserved.
- * Copyright 2016 RackTop Systems.
+ * Copyright 2017 RackTop Systems.
  */
 
 #ifndef	_LIBSCF_H
@@ -812,6 +812,13 @@
 int smf_maintain_instance(const char *, int);
 int smf_degrade_instance(const char *, int);
 int smf_restore_instance(const char *);
+int smf_enable_instance_synchronous(const char *, int);
+int smf_disable_instance_synchronous(const char *, int);
+int smf_refresh_instance_synchronous(const char *);
+int smf_restart_instance_synchronous(const char *);
+int smf_maintain_instance_synchronous(const char *, int);
+int smf_degrade_instance_synchronous(const char *, int);
+int smf_restore_instance_synchronous(const char *);
 char *smf_get_state(const char *);
 
 int scf_simple_walk_instances(uint_t, void *,
